org.apache.olingo.odata2.client.api.ep

## Class EntityCollectionSerializerProperties

- java.lang.Object
- - org.apache.olingo.odata2.client.api.ep.EntityCollectionSerializerProperties

-     public class EntityCollectionSerializerProperties
      extends Object

  `EntityCollectionSerializerProperties` contains all additional properties which are necessary to write (serialize) an `ODataEntry` into an specific format (e.g. `XML` or `JSON` or ...).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder` This class builds the Entity collection properties

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder` | `fromProperties(EntityCollectionSerializerProperties properties)`
    `URI` | `getSelfLink()` Gets the self link from an application.
    `URI` | `getServiceRoot()` Gets the service root.
    `static EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder` | `serviceRoot(URI serviceRoot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSelfLink

          public final URI getSelfLink()

      Gets the self link from an application. May be null.
      Returns:
        the self link

    - #### getServiceRoot

          public final URI getServiceRoot()

      Gets the service root.
      Returns:
        the service root

    - #### serviceRoot

          public static EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder serviceRoot(URI serviceRoot)

      Parameters:
        `serviceRoot` -
      Returns:
        EntityCollectionPropertiesBuilder

    - #### fromProperties

          public static EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder fromProperties(EntityCollectionSerializerProperties properties)

      Parameters:
        `properties` -
      Returns:
        EntityCollectionPropertiesBuilder

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.